/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.flowable.sm;

import java.util.List;

/**
 * 活动能力
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface Activity
{
  /**
   * 获取活动清单
   *
   * @return 活动清单
   */
  List<StateProcessAction> getActions();

  /**
   * 设置活动清单
   *
   * @param actions 活动清单
   */
  void setActions(List<StateProcessAction> actions);

  /**
   * 添加活动
   *
   * @param action 活动
   */
  void addAction(StateProcessAction action);
}
